petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSpaceType

String with the name of a PETSc linear space

### Synopsis

    typedef const char *PetscSpaceType;
    #define PETSCSPACEPOLYNOMIAL "poly"
    #define PETSCSPACETENSOR     "tensor"
    #define PETSCSPACEPOINT      "point"
    #define PETSCSPACESUBSPACE   "subspace"

### See Also

PetscSpaceSetType(), PetscSpace

### Level

beginner

### Location

src/dm/dt/fe/../../../../include/petscfe.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages